Zoom: End of support for old versions

02.08.2022 -  

Zoom will discontinue support for older versions on August 06, 2022. From August 06, at least version 5.3 (release in September 2020) is required. From November 05, 2022, version 5.8.6 will be required.

Zoom recommends using the latest version (currently 5.11.3). You can find the download here.

Last Modification: 02.08.2022 - Contact Person: IT-Service